Skip to main content

Sessions

Sessions are logical groupings of recordings from a single device. They allow you to manage and interact with recording data independent of how the recordings are stored.

List sessions

Request

Retrieve a list of recording sessions.

Filtering by custom properties

Use the query parameter to filter sessions on custom properties. Syntax:

  • key:value: matches sessions with a property that contains a key named key with a value of value; use double quotes if the value contains spaces or special characters
  • key:value1,value2: matches sessions with a property that contains a key named key and its value is either value1 or value2
  • key:*: matches sessions with a property that contains a key named key and any value
  • *:value: matches sessions with a property where any key has the value value
  • foo: matches sessions with properties where any key or stringified value contains foo Multiple qualifiers can be used in the same query string; this will filter sessions matching the intersection of the qualifiers (AND).
Security
ApiKey(Required scopes: sessions.list)
Query
projectIdstring

Filter sessions by project

deviceIdstring

Filter sessions by device ID

deviceNamestring

Filter sessions by device name

keyMatchesstring

Partial match on session key (case-insensitive)

startstring, (date-time)

Start of an inclusive time range

endstring, (date-time)

End of an inclusive time range

sortBystring

Field to sort items by ("id", "createdAt", "updatedAt")

Enum:"id""createdAt""updatedAt"
querystring

Space-separated query string for session custom properties. Each custom property key must be valid. See above for syntax and examples.

sortOrderstring

Sort order for the sortBy field

Enum:"asc""desc"
limitnumber, [ 0 .. 2000 ]

Maximum number of items to return

Default:2000
offsetinteger, >= 0

Number of items to skip before returning the results

Default:0
Payload
// No request payload

Responses

List of recording sessions

Bodyapplication/json
Array [
idstringrequired

ID of the recording session

projectIdstringrequired

The project ID that the session belongs to

deviceobject(DeviceSummary)required

ID and name of a device.

keystring

A user-supplied identifier, unique within the project.

createdAtstring, (date-time)required

Timestamp when the session was created.

updatedAtstring, (date-time)required

Timestamp when the session was last updated.

propertiesobject(CustomPropertyValues)

A key-value map of the custom properties associated with this session.

recordingsArray of objectsrequired

Recordings associated with this session.

recordingCountnumberread-onlyrequired

Number of recordings associated with this session.

recordingStartstring, (date-time)read-only

Earliest log time among visible recordings associated with this session.

recordingEndstring, (date-time)read-only

Latest log time among visible recordings associated with this session.

]
Response
[ { "id": "string", "projectId": "string", "device": { … }, "key": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "properties": { … }, "recordings": [ … ], "recordingCount": 0, "recordingStart": "2019-08-24T14:15:22Z", "recordingEnd": "2019-08-24T14:15:22Z" } ]